Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Interface JdbcWrapper<T>

Type Parameters:
  `T` - One of either `Connection`, `Statement` or `ResultSet`

All Known Subinterfaces:
  InvalidatableWrapper<T>

    public interface JdbcWrapper<T>

Generic contract for wrapped JDBC objects.

Method Summary
`T` | `getWrappedObject()` Retrieve the wrapped JDBC object.

Method Detail

### getWrappedObject

    T getWrappedObject()

  Retrieve the wrapped JDBC object.

  Returns:
    The wrapped object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.